ResourceCacheImpl (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.resource.ResourceCacheImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.resource
Class ResourceCacheImpl

    java.lang.Object
      org.apache.velocity.runtime.resource.ResourceCacheImpl

All Implemented Interfaces:
  ResourceCache

public class ResourceCacheImpl
extends java.lang.Object
implements ResourceCache

Default implementation of the resource cache for the default ResourceManager.

Version:
  $Id: ResourceCacheImpl.java,v 1.2.8.1 2004/03/03 23:23:01 geirm Exp $
Author:
  Geir Magnusson Jr., Daniel Rall

Field Summary
`protected java.util.Map` | `cache` Cache storage, assumed to be thread-safe.
`protected RuntimeServices` | `rsvc` Runtime services, generally initialized by the `initialize()` method.

Constructor Summary
`ResourceCacheImpl()`

Method Summary
`java.util.Iterator` | `enumerateKeys()` returns an Iterator of Keys in the cache
`Resource` | `get(java.lang.Object key)` retrieves a Resource from the cache
`void` | `initialize(RuntimeServices rs)` initializes the ResourceCache.
`Resource` | `put(java.lang.Object key, Resource value)` stores a Resource in the cache
`Resource` | `remove(java.lang.Object key)` removes a Resource from the cache

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected java.util.Map cache

  Cache storage, assumed to be thread-safe.

### rsvc

    protected RuntimeServices rsvc

  Runtime services, generally initialized by the `initialize()` method.

Constructor Detail

### ResourceCacheImpl

    public ResourceCacheImpl()

Method Detail

### initialize

    public void initialize(RuntimeServices rs)

  Description copied from interface: `ResourceCache`
  initializes the ResourceCache. Will be called before any utilization

  Specified by:
    `initialize` in interface `ResourceCache`
  Parameters:
    `rs` - RuntimeServices to use for logging, etc

### get

    public Resource get(java.lang.Object key)

  Description copied from interface: `ResourceCache`
  retrieves a Resource from the cache

  Specified by:
    `get` in interface `ResourceCache`
  Parameters:
    `key` - key for Resource to be retrieved
  Returns:
    Resource specified or null if not found

### put

    public Resource put(java.lang.Object key,
                        Resource value)

  Description copied from interface: `ResourceCache`
  stores a Resource in the cache

  Specified by:
    `put` in interface `ResourceCache`
  Parameters:
    `key` - key to associate with the Resource
    `value` - Resource to be stored
  Returns:
    existing Resource stored under this key, or null if none

### remove

    public Resource remove(java.lang.Object key)

  Description copied from interface: `ResourceCache`
  removes a Resource from the cache

  Specified by:
    `remove` in interface `ResourceCache`
  Parameters:
    `key` - resource to be removed

### enumerateKeys

    public java.util.Iterator enumerateKeys()

  Description copied from interface: `ResourceCache`
  returns an Iterator of Keys in the cache

  Specified by:
    `enumerateKeys` in interface `ResourceCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.